QXmppMixIq Class Reference
Stanzas

The QXmppMixIq class represents an IQ used to do actions on a MIX channel as defined by XEP-0369: Mediated Information eXchange (MIX) and XEP-0405: Mediated Information eXchange (MIX): Participant Server Requirements. More...

`#include <QXmppMixIq.h>`

Inheritance diagram for QXmppMixIq:
[legend]
Collaboration diagram for QXmppMixIq:
[legend]

## Public Types

enum | Type { None , ClientJoin , ClientLeave , Join , Leave , UpdateSubscription , SetNick , Create , Destroy }
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppMixIq (const QXmppMixIq &)
QXmppMixIq & | operator= (const QXmppMixIq &)
QXmppMixIq::Type | actionType () const
| Returns the MIX channel action type.
void | setActionType (QXmppMixIq::Type)
| Sets the channel action.
QString | jid () const
void | setJid (const QString &)
QString | channelName () const
void | setChannelName (const QString &)
QStringList | nodes () const
| Returns the list of nodes to subscribe to.
void | setNodes (const QStringList &)
QString | nick () const
| Returns the user's nickname in the channel.
void | setNick (const QString &)
| Sets the nickname for the channel.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppMixIq class represents an IQ used to do actions on a MIX channel as defined by XEP-0369: Mediated Information eXchange (MIX) and XEP-0405: Mediated Information eXchange (MIX): Participant Server Requirements.

Since
  QXmpp 1.1

## Member Function Documentation

## channelName()

QString QXmppMixIq::channelName | ( |  | ) | const

Returns the channel name (the name part of the channel JID). This may still be empty, if a JID was set.

## jid()

QString QXmppMixIq::jid | ( |  | ) | const

Returns the channel JID. It also contains a participant id for Join/ ClientJoin results.

## setChannelName()

void QXmppMixIq::setChannelName | ( | const QString & | channelName | ) |

Sets the channel name for creating/destroying specific channels. When you create a new channel, this can also be left empty to let the server generate a name.

## setJid()

void QXmppMixIq::setJid | ( | const QString & | jid | ) |

Sets the channel JID. For results of Join/ClientJoin queries this also needs to contain a participant id.

## setNodes()

void QXmppMixIq::setNodes | ( | const QStringList & | nodes | ) |

Sets the nodes to subscribe to. Note that for UpdateSubscription queries you only need to include the new subscriptions.

The documentation for this class was generated from the following files:

- QXmppMixIq.h
- QXmppMixIq.cpp